org.apache.tomcat.websocket

## Class Util

- java.lang.Object
- - org.apache.tomcat.websocket.Util

    public class Util
    extends Object

Utility class for internal use only within the `org.apache.tomcat.websocket` package.

### Nested Class Summary

Nested Classes
`static class` `Util.DecoderMatch`

### Method Summary

Methods
`static Object` `coerceToType(Class<?> type, String value)`
`static List<DecoderEntry>` `getDecoders(Class<? extends Decoder>[] decoderClazzes)`
`static Class<?>` `getDecoderType(Class<? extends Decoder> decoder)`
`static Set<MessageHandlerResult>` `getMessageHandlers(MessageHandler listener, EndpointConfig endpointConfig, Session session)`
`static boolean` `isPrimitive(Class<?> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDecoderType

    public static Class<?> getDecoderType(Class<? extends Decoder> decoder)

#### isPrimitive

    public static boolean isPrimitive(Class<?> clazz)

#### coerceToType

    public static Object coerceToType(Class<?> type,
                      String value)

#### getDecoders

    public static List<DecoderEntry> getDecoders(Class<? extends Decoder>[] decoderClazzes)
                                          throws DeploymentException

Throws:
  `DeploymentException`

#### getMessageHandlers

    public static Set<MessageHandlerResult> getMessageHandlers(MessageHandler listener,
                                               EndpointConfig endpointConfig,
                                               Session session)